<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="x" uri="http://java.sun.com/jsp/jstl/xml" %>

<html>
    <head>
        <title>Example of x:parse tag</title>
    </head>
    
    <body>
        
        <c:import var="importFile" url="employee.xml"/>
        
        <x:parse var="doc" doc="${importFile}"/>
        
        <table border=1>
            <tr><th>Given Xml Document</th>
            <th>Some operations on this file</th></tr>
            <tr>
                <td valign="top"><pre><c:out value="${importFile}"/></pre></td>
                <td>
                    <table border=1>
                        <tr>
                            <th>Expression</th>
                            <th>Result</th>
                        </tr>
                        <tr>
                            <td>$doc//*</td>
                            <td><pre><x:out select="$doc//*"/></pre></td>
                        </tr>
                        
                        <tr>
                            <td>$doc/org/*</td>
                            <td><pre><x:out select="$doc/org/*"/></pre></td>
                        </tr>
                        <tr>
                            <td>$doc/org/company/*</td>
                            <td><pre><x:out select="$doc/org/company/*"/></pre></td>
                        </tr>
                        
                        <tr>
                            <td>$doc/org/company/emp</td>
                            <td><pre><x:out select="$doc/org/company/emp/*"/></pre></td>
                        </tr>
                        <tr>
                            <td>$doc/org/company[last()]</td>
                            <td><pre><x:out select="$doc/org/company/emp[last()]"/></pre></td>
                        </tr>                        
                    </table>
                </td>
            </tr>
        </table>
    </body>
</html>
